/** \file api_class1.h
 * \brief Clase base
 * Declaración de la clase base de la API.
 */

#ifndef API_CLASS1
#define API_CLASS1
/** \namespace
 * \brief Espacio con nombre para la API.
 * Bajo este espacio con nombre se declaran todas las clases y funciones de esta API.
 *
 */
namespace api {

class base {
private:
    int var; /**< Variable principal */
public:
    /** \brief Constructor
     * Constructor principal
     * \param v int Valor inicial para la variable principal.
     *
     */
    base(int v=0) : var(v) {}
    /** \brief Destructor
     *
     */
    ~base() {}
    /** \brief Interfaz
     *
     * \return int& Devuelve una referencia a la variable principal.
     *
     */
    int &Var() { return var; }
};
} // namespace api
#endif // API_CLASS1
