/** \file api_class2.h
 * \brief Clase derivada 1
 * Declaración de la clase derivada 1 de la API.
 */

#include <cstring>
#include "api_class1.h"

#ifndef API_CLASS2
#define API_CLASS2
/** \namespace
 * \brief Espacio con nombre para la API.
 * Bajo este espacio con nombre se declaran todas las clases y funciones de esta API.
 *
 */
namespace api {

class derivada1 : public base {
private:
    char *nombre; /**< Variable que contiene el nombre. */
public:
    /** \brief Constructor
     *
     * \param v int Valor de la variable principal de la clase base.
     * \param n char* Valor inicial para nombre.
     *
     */
    derivada1(int v, const char *n) : base(v) {
        nombre = new char[std::strlen(n)+1];
        std::strcpy(nombre, n);
    }
    /** \brief Destructor
     *
     */
    virtual ~derivada1() {
        delete[] nombre;
    }
    /** \brief Obtiene el nombre.
     *
     * \return char* puntero al miembro nombre.
     *
     */
    char *Nombre() { return nombre; }
};
} // namespace api
#endif // API_CLASS2
