/** \file api_class3.h
 * \brief Clase derivada 2
 * Declaración de la clase derivada 2 de la API.
 */

#ifndef API_CLASS3
#define API_CLASS3

#include "api_class2.h"

/** \namespace
 * \brief Espacio con nombre para la API.
 * Bajo este espacio con nombre se declaran todas las clases y funciones de esta API.
 *
 */
namespace api {

class derivada2 : public derivada1 {
private:
    int entero;   /**< Variable propia de clase derivada 2 */
public:
    /** \brief Constructor
     *
     * \param v int Valor de la variable principal de la clase base.
     * \param n char* Valor inicial para nombre.
     * \param e int Valor de la variable propia.
     *
     */
    derivada2(int v, const char *n, int e=0) : derivada1(v, n), entero(e) {}
    /** \brief Destructor
     *
     */
    ~derivada2() {}
    /** \brief Interfaz
     *
     * \return int& Devuelve una referencia a la variable propia.
     *
     */
    int &Entero() { return entero; }
};
} // namespace api
#endif // API_CLASS3
