/** \file api_class4.h
 * \brief Clase derivada 3
 * Declaración de la clase derivada 3 de la API.
 */

#ifndef API_CLASS4
#define API_CLASS4

#include "api_class2.h"
#include "api_class5.h"

/** \namespace
 * \brief Espacio con nombre para la API.
 * Bajo este espacio con nombre se declaran todas las clases y funciones de esta API.
 *
 */
namespace api {

class derivada3 : public derivada1 {
private:
    pareja par;  /**< Variable propia de clase derivada 3 */
public:
    /** \brief Constructor
     *
     * \param v int Valor de la variable principal de la clase base.
     * \param n char* Valor inicial para nombre.
     * \param p pareja Valor de la variable propia.
     *
     */
    derivada3(int v, const char *n, const pareja &p) : derivada1(v, n), par(p) {}
    /** \brief Destructor
     *
     */
    ~derivada3() {}
    /** \brief Interfaz
     *
     * \return pareja& Devuelve una referencia a la variable propia.
     *
     */
    pareja &Pareja() { return par; }
};
} // namespace api
#endif // API_CLASS4

