/** \file api_class5.h
 * \brief Clase pareja
 * Declaración de la clase pareja de la API.
 */

#ifndef API_CLASS5
#define API_CLASS5
/** \namespace
 * \brief Espacio con nombre para la API.
 * Bajo este espacio con nombre se declaran todas las clases y funciones de esta API.
 *
 */
namespace api {

class pareja {
private:
    int parA; /**< Primera variable de la pareja. */
    int parB; /**< Segunda variable de la pareja. */
public:
    /** \brief Constructor
     * Constructor principal
     * \param v1 int Valor inicial para la primera variable.
     * \param v2 int Valor inicial para la segunda variable.
     *
     */
    pareja(int v1=0, int v2=0) : parA(v1), parB(v2) {}
    // constructor copia
    pareja(const pareja &p) : parA(p.parA), parB(p.parB) {}
    /** \brief Interfaz
     *
     * \return int Devuelve una referencua del primer valor de la pareja.
     *
     */
    int &ParA() { return parA; }
    /** \brief Interfaz
     *
     * \return int Devuelve una referencua del segundo valor de la pareja.
     *
     */
    int &ParB() { return parB; }
};
} // namespace api
#endif // API_CLASS5

